package cc.fascinated.bat.features.base.commands.botadmin.premium;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "premiumadmin", description = "Set a guild as premium", botOwnerOnly = true)
public class PremiumAdminCommand extends BatCommand {
    @Autowired
    public PremiumAdminCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(SetSubCommand.class),
                context.getBean(RemoveSubCommand.class)
        );
    }
}
