package cc.fascinated.bat.features.messagesnipe.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "snipe", description = "Snipe messages")
public class MessageSnipeCommand extends BatCommand {
    public MessageSnipeCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(DeletedSubCommand.class),
                context.getBean(ClearSubCommand.class)
        );
    }
}
